Subject: Re: [PATCH] infiniband: use %p6 for printing message ids

From: Roland Dreier <[email-masked]>
Date: Tue, 28 Oct 2008 16:07:10 -0700

> I'm not sure any of these should be converted like this.
 > Infiniband gids are not IPv6 addresses.

Actually, they are.  The IB specification section 4.1 says:

 "A GID is a valid 128-bit IPv6 address (per RFC 2373) with additional
  properties / restrictions defined...."

and it makes sense to format an IB GID as an IPv6 address for display
(that's what the IB spec does; eg it mentions the "Multicast GID
FF02:0:0:0:0:0:0:1").

 - R.